This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 556159 - [FutureFeature] Spanish Dvorak variant in Fedora
[FutureFeature] Spanish Dvorak variant in Fedora
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
13
All Linux
low Severity medium
: ---
: ---
Assigned To: Anaconda Maintenance Team
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-01-16 16:02 EST by warcry.spam
Modified: 2011-06-27 10:48 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-27 10:48:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description warcry.spam 2010-01-16 16:02:27 EST
Fedora installer doesn't offer Spanish Dvorak variant during the setup although gnome has it.

Some info about it is here (in Spanish and English): http://djelibeibi.unex.es/dvorak/

Also, although I can configure the keyboard after the installation using System/Preferences/Keyboard, I can't use it in TTY.
I tried to download the dvorak-es.kmap.gz file from the above mentioned site, but it didn't worked:

$ loadkeys dvorak-es
Loading /lib/kbd/keymaps/i386/dvorak/dvorak-es.kmap.gz
loadkeys: /lib/kbd/keymaps/i386/dvorak/dvorak-es.kmap.gz:7: cannot open include file euro

That would be needed to be fixed (in Debian it works) previously to add Spanish Dvorak support.

Also, I know this is a very little used keyboard... could us few Spanish Dvorak variant users use our keyboard out of the box in future Fedora releases?
Comment 1 Hans de Goede 2010-01-18 03:59:01 EST
(In reply to comment #0)
> Fedora installer doesn't offer Spanish Dvorak variant during the setup although
> gnome has it.
> 
> Some info about it is here (in Spanish and English):
> http://djelibeibi.unex.es/dvorak/
> 
> Also, although I can configure the keyboard after the installation using
> System/Preferences/Keyboard, I can't use it in TTY.
> I tried to download the dvorak-es.kmap.gz file from the above mentioned site,
> but it didn't worked:
> 
> $ loadkeys dvorak-es
> Loading /lib/kbd/keymaps/i386/dvorak/dvorak-es.kmap.gz
> loadkeys: /lib/kbd/keymaps/i386/dvorak/dvorak-es.kmap.gz:7: cannot open include
> file euro
> 
> That would be needed to be fixed (in Debian it works) previously to add Spanish
> Dvorak support.
> 
> Also, I know this is a very little used keyboard... could us few Spanish Dvorak
> variant users use our keyboard out of the box in future Fedora releases?    

Well, we can try support it, but we will need your help. For starters please file a bug against kbd, as that does not include a dvorak-es configuration by default, once that is in place, file a bug against system-config-keyboard, to get in included there, and once that is also in place we can add it in anaconda.
Comment 2 Bug Zapper 2010-03-15 10:05:49 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 13 development cycle.
Changing version to '13'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Bug Zapper 2011-06-02 12:51:24 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Bug Zapper 2011-06-27 10:48:54 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.